Oore CI
ReferenceAPIOperationsNotification Channels

List notification channels

Returns all configured notification channels.

Operation IDlist_notification_channels
GET
/v1/settings/notification-channels

Returns all configured notification channels.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

q?string

Search notification channels

sort?string

Sort field

direction?string

Sort direction

limit?integer

Page size

Formatint64
offset?integer

Page offset

Formatint64

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/settings/notification-channels"
{  "channels": [    {      "channel_type": "webhook",      "created_at": 0,      "created_by": "string",      "enabled": true,      "events": [        "string"      ],      "has_secret": true,      "has_smtp_config": true,      "has_url": true,      "id": "string",      "name": "string",      "updated_at": 0    }  ],  "total": 0}